Page MenuHomePhabricator

Rebuild user_newtalk on db1052
Closed, DeclinedPublic

Description

This is to be done once the master failover has been done on s1.

Context:

I have fixed quite lots of rows on db1052 user_newtalk. The problem is that this table doesn't have a PK (T146585) so there are lots of duplicate rows, ie:

+---------+--------------+---------------------+
| user_id | user_ip      | user_last_timestamp |
+---------+--------------+---------------------+
|       0 | xxxx | 20170204034853      |
|       0 | xxxx | 20170204035156      |
|       0 | xxxx | 20170204035453      |
+---------+--------------+---------------------+
3 rows in set (0.00 sec)

All the slaves are consistent amongst themselves, and db1052 has all the entries, so no missing rows. The only inconsistencies are the fact that the slaves and db1052 differs in terms of how many duplicate entries are for a given IP.
This is a manual process and can take months to fix all the million rows. So as the entries are the same (it is just the number of duplicates what differs), I am going to leave db1052 in this state and will properly rebuild the table once we have done the s1 switchover that will happen at some point to be able to decommission this host which needs to be replaced (T186320) (and it is also not in the best HW state possible)

Event Timeline

Marostegui triaged this task as Medium priority.Feb 5 2018, 10:58 AM
Marostegui created this task.
Marostegui moved this task from Triage to Backlog on the DBA board.
Marostegui moved this task from Backlog to Next on the DBA board.Mar 7 2018, 12:29 PM
jcrespo added a subscriber: jcrespo.Apr 4 2018, 2:51 PM

Is this really a next? I would downgrade it to low and backlog, with more important stuff happening in the next month.

It is blocked on the dc failover, so I am fine if we move it to backlog

Marostegui moved this task from Next to Backlog on the DBA board.Apr 4 2018, 2:53 PM
Marostegui closed this task as Declined.Apr 10 2018, 5:54 AM

This host will be decommissioned (or moved to misc) so no need to rebuild this table really.